com.google.gwt.dom.builder.shared

## Interface LabelBuilder

- All Superinterfaces:
    ElementBuilderBase<LabelBuilder>
  All Known Implementing Classes:
    DomLabelBuilder, HtmlLabelBuilder

      public interface LabelBuilder
      extends ElementBuilderBase<LabelBuilder>

  Builds an label element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LabelBuilder` | `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
    `LabelBuilder` | `htmlFor(java.lang.String htmlFor)` This attribute links this label with another form control by id attribute.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### accessKey

          LabelBuilder accessKey(java.lang.String accessKey)

      A single character access key to give access to the form control.
      See Also:
        W3C HTML Specification

    - #### htmlFor

          LabelBuilder htmlFor(java.lang.String htmlFor)

      This attribute links this label with another form control by id attribute.
      See Also:
        W3C HTML Specification